Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.uddi.client.structures.response
Class ServiceList

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.response.Response
            |
            +--weblogic.uddi.client.structures.response.ListResponse
                  |
                  +--weblogic.uddi.client.structures.response.ServiceList

public class ServiceList
extends ListResponse

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.uddi.client.structures.response.ListResponse
`truncated`

Fields inherited from class weblogic.uddi.client.structures.response.Response
`generic, operator`

Constructor Summary
`ServiceList()` Class constructor.

Method Summary
`ServiceInfos` | `getServiceInfos()` Gets the service infos.
`void` | `setServiceInfos(ServiceInfos value)` Sets the service infos.

Methods inherited from class weblogic.uddi.client.structures.response.ListResponse
`isTruncated, setTruncated`

Methods inherited from class weblogic.uddi.client.structures.response.Response
`getGeneric, getOperator, setGeneric, setOperator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceList

    public ServiceList()

  Class constructor.

Method Detail

### getServiceInfos

    public ServiceInfos getServiceInfos()

  Gets the service infos.

  Returns:
    the current service infos.

### setServiceInfos

    public void setServiceInfos(ServiceInfos value)

  Sets the service infos.

  Parameters:
    `the` - new service infos.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD